Bug 475964 - (CVE-2008-5081) CVE-2008-5081 avahi: avahi-daemon DoS (application abort) via packet with source port 0
CVE-2008-5081 avahi: avahi-daemon DoS (application abort) via packet with sou...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=bugzilla,reported=20081204,pub...
: Security
Depends On: 475394 476496 476497
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 06:05 EST by Tomas Hoger
Modified: 2010-03-29 04:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-12-11 06:05:57 EST
Hugo Dias of the Synchron Security Labs discovered a remote denial of service flaw in the avahi daemon.  A crafted multicast DNS (mDNS) packet with source port 0 can trigger assertion in originates_from_local_legacy_unicast_socket() function in avahi-core/server.c -- assert(port > 0); -- causing the daemon to call abort() and exit unexpectedly.

Scope of this attack is usually limited to a single LAN.
Comment 2 Tomas Hoger 2008-12-14 05:26:34 EST
Public now via new upstream release 0.6.24:
  http://avahi.org/milestone/Avahi%200.6.24

Upstream patch:
http://git.0pointer.de/?p=avahi.git;a=commitdiff;h=3093047f1aa36bed8a37fa79004bf0ee287929f4
Comment 3 Fedora Update System 2008-12-14 14:49:27 EST
avahi-0.6.22-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/avahi-0.6.22-12.fc10
Comment 5 Tomas Hoger 2008-12-19 03:40:39 EST
Hugo Dias' advisory:
  http://www.synchlabs.com/advisories/200812-1.htm
Comment 6 Fedora Update System 2009-01-07 04:33:06 EST
avahi-0.6.22-12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.